/*
** DATest.c
**
** PWM D to A Audio Test
**
*/
#include <xc.h>

void InitPWM( void)
{
    // init TMR3 to provide the timebase
	T3CON = 0x8000;
	PR3 = 34;
    _T3IF = 0;
    _T3IE = 1;

	OC1R = OC1RS = 16;

	OC1CON = 0x000E;
} //

void _ISRFAST _T3Interrupt( void)
{
    // clear interrupt flag and exit
    _T3IF = 0;
} // T3 Interrupt


main( void)
{	
 OSCCON = 0x0100; //0000001100000000 XT with PLL
 CLKDIV = 0x0000; //
 PLLFBD = 0x0054; //4MHz crystal /86 ==> 43MIPS

    InitPWM();
    
    // main loop
	//unlock Peripheral Select
	OSCCON=0x46;
	OSCCON=0x57;
	OSCCONbits.IOLOCK=0;	//unlock
	RPOR3bits.RP6R	  =0b10010; //Tie OC1 to RP6
	OSCCONbits.IOLOCK=1;	//lock
	
    while(1);

}// main
