
#include <p24HJ128GP502.h>

volatile int up_down=0; //==> 1 = UP / 0 = DOWN
volatile int bin_output = 0xFFFF;

void _ISRFAST _T1Interrupt( void)
{
	if(up_down==0){
	//going down
	bin_output = bin_output-255;
	PORTB = bin_output;
		if (bin_output == 0x0000){
		up_down=1;		//start going up again
		bin_output == 0x0001;
		}
	}
	else
	{ 
	//going up
	bin_output = bin_output+255;
	PORTB = bin_output;
		if (bin_output == 0xFFFF){
		up_down=0;		//start going down again
		bin_output == 0xFFFE;
		}
	}
	_T1IF = 0;
}

main( void)
{
	//Set Oscillator Configuration 
	OSCCON = 0x0300;		//0000001100000000
	CLKDIV = 0x0000;		//
	PLLFBD = 0x004E;		//4 MHz Crystal at 40MIPS PLLDIV = 80;

	TRISB = 0;              //All output

	//Timer Innitializations
	_T1IP 	= 4;			//default
	TMR1	= 0;			//Clear Timer
	PR1		= 512 - 1;		//set the period register ==> 40kHz

	//onfigure Timer 1 module clock source and sync settings
	T1CON	= 0x8000;		//check T1CON register options 

	_T1IF	= 0;			//clear interrupt flag
	_T1IE	= 1;			//enable the T1 interrupt source
	
	PORTB = 0x0000;

    while(1)
	{ 

	}

}// main
